gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ActivateAction

Contents

- Exported types
- Methods
  - get

Description

Activates a widget.

Widgets are activated by calling `widgetActivate`.

Synopsis

- newtype ActivateAction = ActivateAction (ManagedPtr ActivateAction)
- class (GObject o, IsDescendantOf ActivateAction o) => IsActivateAction o
- toActivateAction :: (MonadIO m, IsActivateAction o) => o -> m ActivateAction
- activateActionGet :: (HasCallStack, MonadIO m) => m ActivateAction

# Exported types

newtype ActivateAction Source #

Memory-managed wrapper type.

Constructors

ActivateAction (ManagedPtr ActivateAction) |

#### Instances

Instances details

Eq ActivateAction Source # |
Instance details Defined in GI.Gtk.Objects.ActivateAction Methods (==) :: ActivateAction -> ActivateAction -> Bool Source # (/=) :: ActivateAction -> ActivateAction -> Bool Source #
GObject ActivateAction Source # |
Instance details Defined in GI.Gtk.Objects.ActivateAction
ManagedPtrNewtype ActivateAction Source # |
Instance details Defined in GI.Gtk.Objects.ActivateAction Methods toManagedPtr :: ActivateAction -> ManagedPtr ActivateAction Source #
TypedObject ActivateAction Source # |
Instance details Defined in GI.Gtk.Objects.ActivateAction Methods glibType :: IO GType Source #
HasParentTypes ActivateAction Source # |
Instance details Defined in GI.Gtk.Objects.ActivateAction
IsGValue (Maybe ActivateAction) Source # | Convert `ActivateAction` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ActivateAction Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ActivateAction -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ActivateAction) Source #
type ParentTypes ActivateAction Source # |
Instance details Defined in GI.Gtk.Objects.ActivateAction type ParentTypes ActivateAction = '[ShortcutAction, Object]

class (GObject o, IsDescendantOf ActivateAction o) => IsActivateAction o Source #

Type class for types which can be safely cast to `ActivateAction`, for instance with `toActivateAction`.

#### Instances

Instances details

(GObject o, IsDescendantOf ActivateAction o) => IsActivateAction o Source # |
Instance details Defined in GI.Gtk.Objects.ActivateAction

toActivateAction :: (MonadIO m, IsActivateAction o) => o -> m ActivateAction Source #

Cast to `ActivateAction`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, print, ref, refSink, runDispose, stealData, stealQdata, thawNotify, toString, unref, watchClosure.

#### Getters

getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## get

activateActionGet Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m ActivateAction | Returns: The activate action

Gets the activate action.

This is an action that calls `widgetActivate` on the given widget upon activation.